Debian-Sicherheitsankündigung

DSA-621-1 cupsys -- Pufferüberlauf

Datum des Berichts:
31. Dez 2004
Betroffene Pakete:
cupsys
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 286988.
In Mitres CVE-Verzeichnis: CVE-2004-1125.
Weitere Informationen:

Ein iDEFENSE-Sicherheitsforscher entdeckte einen Pufferüberlauf in xpdf, der »Portable Document Format«- (PDF-) Suite. Ähnlicher Code zur Verarbeitung von PDF-Daten ist in CUPS enthalten. Eine böswillig präparierte PDF-Datei kann dieses Problem ausnutzen und die Ausführung von beliebigem Code zur Folge haben.

Für die Stable-Distribution (Woody) wurde dieses Problem in Version 1.1.14-5woody11 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 1.1.22-2 behoben.

Wir empfehlen Ihnen, Ihre cupsys-Pakete zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11.dsc
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11.diff.gz
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_alpha.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_alpha.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_alpha.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_alpha.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_alpha.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_arm.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_arm.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_arm.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_arm.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_arm.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_i386.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_i386.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_i386.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_i386.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_i386.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_ia64.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_ia64.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_ia64.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_ia64.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_ia64.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_hppa.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_hppa.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_hppa.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_hppa.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_hppa.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_m68k.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_m68k.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_m68k.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_m68k.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_m68k.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_mips.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_mips.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_mips.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_mips.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_mips.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_mipsel.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_mipsel.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_mipsel.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_mipsel.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_mipsel.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_powerpc.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_powerpc.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_powerpc.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_powerpc.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_powerpc.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_s390.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_s390.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_s390.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_s390.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_s390.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/c/cupsys/cupsys_1.1.14-5woody11_sparc.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-bsd_1.1.14-5woody11_sparc.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-client_1.1.14-5woody11_sparc.deb
http://security.debian.org/pool/updates/main/c/cupsys/cupsys-pstoraster_1.1.14-5woody11_sparc.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2_1.1.14-5woody11_sparc.deb
http://security.debian.org/pool/updates/main/c/cupsys/libcupsys2-dev_1.1.14-5woody11_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.